## partman-base 128lenny1

=== Makefile ===
CFLAGS=-Wall -Os -D_GNU_SOURCE
LIBS=-lparted

all: parted_server parted_devices partmap

parted_server: parted_server.c
	$(CC) $(CFLAGS) $(LIBS) parted_server.c -o parted_server

parted_devices: parted_devices.c
	$(CC) $(CFLAGS) $(LIBS) parted_devices.c -o parted_devices

partmap: partmap.c
	$(CC) $(CFLAGS) $(LIBS) partmap.c -o partmap

clean:
	rm -f parted_server parted_devices partmap

.PHONY: clean

=== debian/changelog ===
partman-base (128lenny1) unstable; urgency=low

  * Merged from trunk:
    - Disable backup while displaying device/partition locked errors; it
      makes no sense and it can cause us to exit without closing the FIFO to
      parted_server (closes: #505477, LP: #274219).

 -- Frans Pop <fjp@debian.org>  Mon, 05 Jan 2009 19:02:42 +0000

partman-base (128) unstable; urgency=low

  * Record that CHANGE_FILE_SYSTEM changes the partition table (closes:
    #298042).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Oct 2008 19:24:45 +0100

partman-base (127) unstable; urgency=low

  * Add human readable descriptions for MMC/SD cards.

 -- Frans Pop <fjp@debian.org>  Mon, 29 Sep 2008 20:29:12 +0200

partman-base (126) unstable; urgency=low

  [ Frans Pop ]
  * base.sh: skip dividers in ask_user if they are the first option.
    Closes: #498845.
  * base.sh: also avoid consecutive dividers by skipping the second one.
  * base.sh: new function is_multipath_dev.
  * commit.sh: display correct dmraid partition info when confirming changes.

  [ Giuseppe Iuculano ]
  * init.d/parted: Set the sataraid flag for dmraid arrays.
    Patch based on work done by Luke Yelavich <themuso@ubuntu.com> in Ubuntu.
    The improved dmraid support requires parted (>= 1.8.8.git.2008.03.24-10).

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po)
  * Esperanto (eo.po) by Felipe Castro
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Central Khmer (km.po) by KHOEM Sokhem
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Slovenian (sl.po) by Vanja Cvelbar
  * Serbian (sr.po) by Veselin Mijušković
  * Ukrainian (uk.po) by Євгеній Мещеряков
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 22:06:57 -0300

partman-base (125) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Add convert_to_megabytes() to lib/base.sh.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Greek, Modern (el.po) by Emmanuel Galatoulas
  * French (fr.po) by Christian Perrier
  * Kurdish (ku.po) by Erdal Ronahi
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 25 Aug 2008 21:06:21 +0200

partman-base (124) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Fix humandev() for partitions of virtio virtual disks.
  * Use Choices-C in debconf_select instead of mangling the localised
    strings.  All templates using debconf_select or ask_user should now define
    the following:
      Choices-C: ${CHOICES}
      Choices: ${DESCRIPTIONS}
    In the absence of Choices-C, the old behaviour will still be supported for
    the moment.
  * Update partman/choose_partition, partman/storage_device,
    partman/free_space and partman/active_partition to the new format.
  * Enable cdebconf's new column alignment capability.
    Requires cdebconf (>= 0.133).
  * Remove valid_visuals.d and instead call by their orders all scripts in
    visual.d.
  * Do partition indenting in another visual.d script instead of hardcoding
    it in partition_tree_choices().
  * Switch visual.d scripts to use column alignment (${!TAB}).
  * Remove partition_tree_choice() "whitespaces" hack, now useless with the
    new debconf_select().  (Closes: #271706)
  * Remove the stralign binary: alignment is now done at the cdebconf level.
  * Instead of skipping all MD devices during partman initialization, we
    now only skip the ones that are deactivated.  (Closes: #475479)

  [ Updated translations ]
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Milo Casagrande
  * Dutch (nl.po) by Frans Pop
	
 -- Otavio Salvador <otavio@ossystems.com.br>  Mon, 04 Aug 2008 10:00:55 -0300

partman-base (123) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Improve display of virtio virtual disks.
  * Save and restore the current working directory in partman_(un)lock_unit().
    (Closes: #488687)

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Slovak (sk.po) by Ivan Masár
  * Turkish (tr.po) by Mert Dirik

 -- Frans Pop <fjp@debian.org>  Wed, 16 Jul 2008 13:53:44 +0200

partman-base (122) unstable; urgency=low

  [ Otavio Salvador ]
  * Do not list /dev/mtd devices since they aren't supported by parted.

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Turkish (tr.po) by Mert Dirik

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 06 Jul 2008 15:51:35 +0300

=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2.0), po-debconf (>= 0.5.0), libparted1.8-dev
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-base

Package: partman-base
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, partman-utils, partman-partitioning (>=54), partman-target, archdetect, harddrive-detection, di-utils-mapdevfs, di-utils (>= 1.15), cdebconf-udeb (>= 0.133)
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

Package: partman-utils
XC-Package-Type: udeb
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities related to partitioning

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

export PACKAGE=partman-base

PROVIDES=made-filesystems, mounted-partitions, partitioned-harddrives, created-fstab

MENUITEMNUM=4200

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	rm -f `find . -name '*~'`
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	# Install hooks into partman-base udeb
	debian/install-rc choose_partition
	debian/install-rc storage_device
	debian/install-rc active_partition
	debian/install-rc free_space
	debian/install-rc init.d
	debian/install-rc undo.d
	debian/install-rc commit.d
	debian/install-rc finish.d
	debian/install-rc update.d
	debian/install-rc visual.d
	debian/install-rc display.d

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdebconf
	cp debian/isinstallable debian/${PACKAGE}/DEBIAN/
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -Vmenuitemnum=$(MENUITEMNUM) -Vprovides='$(PROVIDES)'
	dh_builddeb

binary-indep: build install

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## partman-base 129ubuntu7

=== debian/changelog ===
partman-base (129ubuntu7) jaunty; urgency=low

  * Update Ubuntu-specific strings from Launchpad.
  * Ignore non-zero exit statuses from mapdevfs (LP: #357725).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 02:15:30 +0100

partman-base (129ubuntu6) jaunty; urgency=low

  * Support partman/filter_mounted preseeding again, for some special cases
    that know they can get away with modifying partitions after the one
    containing the installation medium (LP: #354573).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 03 Apr 2009 23:28:17 +0100

partman-base (129ubuntu5) jaunty; urgency=low

  * init.d/parted: Use more concise syntax for building up lists.
  * Rewrite handling of mounted partitions. If the only thing mounted on a
    disk is the installation medium and it uses more or less the whole disk,
    then silently exclude that disk (LP: #347916); if the installation
    medium is mounted but doesn't use the whole disk, issue a warning that
    partitioning may be difficult; if anything else is mounted, offer to
    unmount it.
  * Note that partman/filter_mounted preseeding is no longer supported, as
    its main use was to cope with the case of the installation medium being
    mounted and that's now handled explicitly. If you need to stop questions
    being asked, preseed partman/unmount_active and/or
    partman/installation_medium_mounted as appropriate.
  * I had to break the string freeze. Sorry.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 02 Apr 2009 18:59:02 +0100

partman-base (129ubuntu4) jaunty; urgency=low

  * Handle filtering of mounted partitions on /dev/mmcblk* (LP: #348411).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Mar 2009 11:56:59 +0000

partman-base (129ubuntu3) jaunty; urgency=low

  [ Colin Watson ]
  * Tweak partman/unmount_active substitution handling to cope with more
    than two disks.

  [ Evan Dandrea ]
  * Fix the unmount_active code to work in d-i.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 18 Mar 2009 18:06:39 +0000

partman-base (129ubuntu2) jaunty; urgency=low

  * Ask to unmount mounted partitions before continuing
    (LP: #335376, #290415).

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 16 Mar 2009 15:54:58 +0000

partman-base (129ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set.
    - Don't disable /dev/ramzswap* swap devices.
    - Exclude devices that have mounted partitions.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Mar 2009 11:50:50 +0000

partman-base (129) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Disable backup while displaying device/partition locked errors; it
      makes no sense and it can cause us to exit without closing the FIFO to
      parted_server (closes: #505477, LP: #274219).
    - Add support for explicit 'b' or 'B' suffixes on partition sizes to
      force interpretation as bytes (closes: #322922).
    - Add a small test suite for longint2human and human2longint.
    - Exclude /dev/ramzswap devices (http://code.google.com/p/compcache/).
    - Add partman/early_command hook to run arbitrary commands immediately
      before partitioning (LP: #239348).
    - Exit straight away if a called script is killed by a signal.
    - Only mark the partition table as changed due to CHANGE_FILE_SYSTEM if
      it actually makes a change (i.e. the partition wasn't already using
      that filesystem or didn't have that flag set). This avoids the
      partition table being rewritten even if partman did nothing more than
      autousing swap (LP: #287660).
    - Add partman/default_filesystem template so that we can remove
      hardcoding of ext3 from elsewhere in partman, and make the default
      filesystem preseedable.
    - Check dmraid's exit code rather than parsing its output.
    - Don't display the Back button when asking for confirmation, since it's
      already a boolean "do you want to continue?" question and we ignore
      backup anyway (LP: #9244).
    - Cope with exception options, partition flags passed to SET_FLAGS, and
      the partition name passed to SET_NAME being empty (closes: #268495).
    - Use 'update-dev --settle' rather than 'update-dev' during commit.
      Requires di-utils 1.66.
  * Run 'depmod -a' after loading extra partman components, since they might
    install further kernel modules as dependencies.
  * Mark partman/exception_handler and partman/exception_handler_note unseen
    before asking them; they're effectively error messages but implemented
    using select and boolean templates, so won't necessarily be reshown
    otherwise, and failures may be very confusing if these aren't shown.

  [ Frans Pop ]
  * Remove myself as uploader.

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by marce villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Kazakh (kk.po) by daur88
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Tagalog (tl.po) by Eric Pareja

 -- Colin Watson <cjwatson@debian.org>  Wed, 04 Mar 2009 11:11:31 +0000

partman-base (128ubuntu9) jaunty; urgency=low

  * Deal with leading newlines while reading exception options and partition
    flags passed to SET_FLAGS; regression introduced in partman-base
    128ubuntu4 (LP: #317435).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Feb 2009 12:58:31 +0000

partman-base (128ubuntu8) jaunty; urgency=low

  * Don't display the Back button when asking for confirmation, since it's
    already a boolean "do you want to continue?" question and we ignore
    backup anyway (LP: #9244).



=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 4.2.0), po-debconf (>= 0.5.0), libparted1.8-dev
XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-base
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/partman-base/ubuntu

Package: partman-base
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, partman-utils, partman-partitioning (>=54), partman-target, archdetect, harddrive-detection, di-utils-mapdevfs, di-utils (>= 1.66), cdebconf-udeb (>= 0.133)
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

Package: partman-utils
XC-Package-Type: udeb
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities related to partitioning

## partman-base 133ubuntu4

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 build-stamp:
 	dh_testdir
 	$(MAKE)
+	cd test && ./conversions
 	touch build-stamp
 
 clean:

## partman-base 139ubuntu7

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh --with d-i $@

ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(ARCH_OS),linux)
DEFAULT_FS=ext4
endif
ifeq ($(ARCH_OS),kfreebsd)
DEFAULT_FS=ufs
endif

PROVIDES=made-filesystems, mounted-partitions, partitioned-harddrives, created-fstab

MENUITEMNUM=4200

override_dh_installdebconf:
	dh_installdebconf
	sed -i '/^Template: partman\/default_filesystem/,/^$$/s/^Default: .*/Default: $(DEFAULT_FS)/' \
		debian/partman-base/DEBIAN/templates

# TODO: This is a bit gratuitous since all the "variables" are constant
# right now. Do we still need this flexibility?
override_dh_gencontrol:
	dh_gencontrol -- -Vmenuitemnum=$(MENUITEMNUM) -Vprovides='$(PROVIDES)'

## partman-base 147

=== debian/changelog ===
partman-base (147) unstable; urgency=low

  [ Colin Watson ]
  * Fix link line ordering to avoid breaking with 'ld --as-needed'.

  [ Updated translations ]
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Lao (lo.po) by Anousak Souphavanh
  * Northern Sami (se.po) by Børre Gaup
  * Sinhala (si.po) by Danishka Navin
  * Slovenian (sl.po) by Vanja Cvelbar
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:17:25 -0200

partman-base (146) unstable; urgency=low

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 16:20:32 -0200

partman-base (145) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Expand the small gap we leave at the end of the disk to avoid MD
      superblock ambiguity so that it correctly covers the region where
      ambiguity might arise.  The previous gap was insufficient on disks
      that were between 512 and 65535 bytes larger than a multiple of
      1048576 bytes (LP: #569900).

 -- Otavio Salvador <otavio@debian.org>  Tue, 02 Nov 2010 22:40:12 -0200

partman-base (144) unstable; urgency=low

  [ Jeremie Koenig ]
  * debian/rules: add a case for Hurd's DEFAULT_FS (closes: #586870).

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Danish (da.po) by Jacob Sparre Andersen
  * Serbian (sr.po) by Karolina Kalic

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Aug 2010 11:54:35 +0200

partman-base (143) unstable; urgency=low

  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.
  * If the PED_DISK_CYLINDER_ALIGNMENT flag isn't available, then
    (confusingly) assume that only cylinder alignment is available and
    calculate constraints accordingly (closes: #579948).

  [ Updated translations ]
  * Serbian (sr.po) by Janos Guljas
  * Serbian Latin (sr@latin.po) by Karolina Kalic

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Aug 2010 17:22:00 +0100

partman-base (142) unstable; urgency=low

  [ Colin Watson ]
  * Add ALIGNMENT_OFFSET to partman-command.

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bosnian (bs.po) by Armin Beširović
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Jacob Sparre Andersen
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Persian (fa.po) by acathur
  * Galician (gl.po) by Jorge Barreiro
  * Croatian (hr.po) by Josip Rodin
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Nepali (ne.po)
  * Norwegian Nynorsk (nn.po) by Eirik U. Birkeland
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by ioan-eugen stan
  * Tagalog (tl.po) by Eric Pareja
  * Ukrainian (uk.po) by Borys Yanovych

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 18:56:12 +0200

partman-base (141) unstable; urgency=low

  * parted 2.1 changed the semantics of ped_disk_clobber: it now zeroes out
    the first few and last few sectors of the disk, regardless of whether
    there appears to be a valid partition table on it.  Unfortunately, this
    means that creating a filesystem on a whole disk device and then calling
    ped_disk_commit_to_dev zeroes the filesystem header we just created.  To
    avoid this, call ped_disk_commit_to_dev only if the partition doesn't
    start at sector zero (LP: #539324, #549260).
  * Check return values from asprintf for memory allocation failures.
  * Ignore free space smaller than the grain size of the partition creation
    constraint, rather than only free space smaller than a cylinder.
  * Always leave a small gap at the end of the disk (except on device-mapper
    devices), to avoid confusing mdadm by leaving the MD 0.90 superblock at
    the end of the disk as well as the end of a partition (LP: #527401).
  * Allow preseeding partman/alignment to "cylinder", "minimal", or
    "optimal"; "cylinder" restores old alignment behaviour for the benefit
    of those with crotchety BIOSes, while "optimal" is the default.
  * Don't apply optimal alignment to extended partitions (LP: #558382).

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Georgian (ka.po) by Aiet Kolkhi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Tamil (ta.po) by Dr,T,Vasudevan

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Apr 2010 10:46:05 +0100

partman-base (140) unstable; urgency=low

  * Don't warn about data loss on formatted/removed partitions when there
    are no such partitions (LP: #151266).
  * Build against parted 2.2.
  * Use linux-swap(v1) instead of linux-swap(new) to reflect changes to
    parted (thanks, Evan Dandrea; closes: #539908).
  * Apply optimal alignment constraints to new partitions, or when
    maximising an extended partition (LP: #530071).
  * Add an ALIGNMENT_OFFSET command which can be used to detect whether a
    partition is misaligned.

  [ Updated translations ]
  * French (fr.po) by Christian Perrier
  * Lithuanian (lt.po) by Kęstutis Biliūnas

 -- Colin Watson <cjwatson@debian.org>  Sun, 21 Mar 2010 23:47:56 +0000

partman-base (139) unstable; urgency=low

  * base.sh: consistently use 'disk' as variable in humandev().

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Hebrew (he.po) by Omer Zak
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Frans Pop <fjp@debian.org>  Sun, 07 Mar 2010 22:16:33 +0100

partman-base (138) unstable; urgency=low

  [ Colin Watson ]
  * Fix display of partman/text/dmraid_volume.  'dmraid -s -c -c <superset>'
    doesn't seem to work (at least not for ISW), but 'dmraid -s -c -c
    <device>' works and produces the information we need.

  [ Frans Pop ]


=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Max Vozeler <xam@debian.org>
Build-Depends: debhelper (>= 7.3.10), dh-di (>= 2), po-debconf (>= 0.5.0), libparted0-dev (>= 2.2)
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-base

Package: partman-base
XC-Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, partman-utils, partman-partitioning (>=54), partman-target, archdetect, harddrive-detection, di-utils-mapdevfs, di-utils (>= 1.66), cdebconf-udeb (>= 0.133)
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

Package: partman-utils
XC-Package-Type: udeb
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities related to partitioning

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,17 @@
 #! /usr/bin/make -f
 %:
-	dh --with d-i $@
+	dh $@ --with d-i
 
 ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 ifeq ($(ARCH_OS),linux)
-DEFAULT_FS=ext4
+DEFAULT_FS=ext3
 endif
 ifeq ($(ARCH_OS),kfreebsd)
 DEFAULT_FS=ufs
+endif
+ifeq ($(ARCH_OS),hurd)
+DEFAULT_FS=ext2
 endif
 
 PROVIDES=made-filesystems, mounted-partitions, partitioned-harddrives, created-fstab

## partman-base 151

=== debian/changelog ===
partman-base (151) unstable; urgency=low

  [ Otavio Salvador ]
  * Add ZFS description support. Thanks to Robert Millan
    <rmh@debian.org> for the patch. Closes: #635398.

  [ Colin Watson ]
  * Localise some more variables in partman_lock_unit and
    partman_unlock_unit.

  [ Updated translations ]
  * Asturian (ast.po) by MAAC
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Basque (eu.po)
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Lior Kaplan
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Macedonian (mk.po) by Arangel Angov
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Sinhala (si.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Colin Watson <cjwatson@debian.org>  Thu, 08 Sep 2011 18:36:48 +0100

partman-base (150) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe Castro
  * Estonian (et.po) by Mattias Põldaru
  * Persian (fa.po) by Behrad Eslamifar
  * Georgian (ka.po) by Aiet Kolkhi
  * Korean (ko.po) by Changwoo Ryu
  * Marathi (mr.po) by sampada
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Nepali (ne.po)
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Uighur (ug.po) by Sahran
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Christian Perrier <bubulle@debian.org>  Sat, 23 Apr 2011 13:51:51 +0200

partman-base (149) unstable; urgency=low

  * Team upload
  * Resync translations with D-I master files

 -- Christian Perrier <bubulle@debian.org>  Thu, 17 Feb 2011 21:36:20 +0100

partman-base (148) unstable; urgency=low

  [ Christian Perrier ]
  * Make partman/text/mmc_disk and partman/text/mmc_partition
    translatable
  * Make ext4 the default file system for Linux

  [ Colin Watson ]
  * Include <sys/stat.h> in parted_server.c for mkfifo.

 -- Christian Perrier <bubulle@debian.org>  Fri, 11 Feb 2011 19:45:59 +0100

## partman-base 151ubuntu2

=== debian/changelog ===
partman-base (151ubuntu2) oneiric; urgency=low

  * Handle /dev/zram* the same way as /dev/ramzswap* (exclude from
    partitioning, and don't disable swap devices there).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Sep 2011 15:32:39 +0100

partman-base (151ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.
    - Build with -O2 on powerpc to avoid a suspected toolchain bug.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Sep 2011 18:51:05 +0100

partman-base (150ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.
    - Build with -O2 on powerpc to avoid a suspected toolchain bug.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 May 2011 12:48:28 +0100

partman-base (147ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.
    - Use ext4 as the default filesystem for new partitions.
    - Build with -O2 on powerpc to avoid a suspected toolchain bug.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Jan 2011 13:40:57 +0000

partman-base (146ubuntu2) natty; urgency=low

  * Fix link line ordering to avoid breaking with 'ld --as-needed'.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 11:53:41 +0000

partman-base (146ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.
    - Use ext4 as the default filesystem for new partitions.
    - Build with -O2 on powerpc to avoid a suspected toolchain bug.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Nov 2010 10:56:16 +0000

partman-base (145ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.
    - Use ext4 as the default filesystem for new partitions.
    - Build with -O2 on powerpc to avoid a suspected toolchain bug.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Nov 2010 15:30:35 +0000

partman-base (144ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:


## partman-base 153

=== debian/changelog ===
partman-base (153) unstable; urgency=low

  [ Robert Millan ]
  * Detect LVM devices on GNU/kFreeBSD.

  [ Colin Watson ]
  * choose_partition/partition_tree/do_option: 'local' is not legal outside
    a function (and current dash rejects this).

  [ Updated translations ]
  * Arabic (ar.po) by Ossama Khayat
  * Belarusian (be.po) by Viktar Siarheichyk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Armin Besirovic
  * Dzongkha (dz.po) by dawa pemo
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Persian (fa.po) by Behrad Eslamifar
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Japanese (ja.po) by Kenshi Muto
  * Central Khmer (km.po) by Chan Sambathratanak
  * Kannada (kn.po) by Prabodh C P
  * Korean (ko.po) by Changwoo Ryu
  * Marathi (mr.po) by sampada
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Dutch (nl.po) by Jeroen Schot
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Marcin Owsiany
  * Romanian (ro.po) by Ioan Eugen Stan
  * Sinhala (si.po)
  * Serbian (sr.po) by Karolina Kalic
  * Swedish (sv.po) by Martin Bagge / brother
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Telugu (te.po) by Arjuna Rao Chavala
  * Turkish (tr.po) by Mert Dirik
  * Ukrainian (uk.po) by Borys Yanovych

 -- Christian Perrier <bubulle@debian.org>  Mon, 26 Dec 2011 18:50:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anton Zinoviev <zinoviev@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Max Vozeler <xam@debian.org>
 Build-Depends: debhelper (>= 7.3.10), dh-di (>= 2), po-debconf (>= 0.5.0), libparted0-dev (>= 2.2)
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-base
+Vcs-Browser: http://git.debian.org/?p=d-i/partman-base.git
+Vcs-Git: git://git.debian.org/d-i/partman-base.git
 
 Package: partman-base
 XC-Package-Type: udeb

## partman-base 153ubuntu5

=== debian/changelog ===
partman-base (153ubuntu5) precise-proposed; urgency=low

  * Permit non-cylinder alignment again on GPT (closes: #674894,
    LP: #1006894).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Jul 2012 14:54:45 +0100

partman-base (153ubuntu4) precise; urgency=low

  * Be more careful about printing translated visuals, in case a translation
    starts with "-" (which the zh_TW translation of "FREE SPACE" does).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Apr 2012 12:34:37 +0100

partman-base (153ubuntu3) precise; urgency=low

  * Update Ubuntu-specific translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Apr 2012 12:38:01 +0100

partman-base (153ubuntu2) precise; urgency=low

  * Update Ubuntu-specific translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Mar 2012 23:47:53 +0000

partman-base (153ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.
    - Handle /dev/zram* the same way as /dev/ramzswap* (exclude from
      partitioning, and don't disable swap devices there).
  * Revert to -Os on powerpc.  Whatever toolchain bug was suspected here may
    well have gone away, and if it's still present then we should find out
    what it is and get it fixed.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 Jan 2012 15:57:06 +0000

partman-base (151ubuntu3) precise; urgency=low

  * choose_partition/partition_tree/do_option: 'local' is not legal outside
    a function (and current dash rejects this; LP: #885654).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Nov 2011 17:46:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: partman-base
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anton Zinoviev <zinoviev@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Max Vozeler <xam@debian.org>
 Build-Depends: debhelper (>= 7.3.10), dh-di (>= 2), po-debconf (>= 0.5.0), libparted0-dev (>= 2.2)
-Vcs-Browser: http://git.debian.org/?p=d-i/partman-base.git
-Vcs-Git: git://git.debian.org/d-i/partman-base.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/partman-base.git
+XS-Debian-Vcs-Git: git://git.debian.org/d-i/partman-base.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/partman-base/ubuntu
 
 Package: partman-base
 XC-Package-Type: udeb

## partman-base 153ubuntu6

=== debian/changelog ===
partman-base (153ubuntu6) precise-proposed; urgency=low

  * Use the device's logical sector size throughout rather than
    PED_SECTOR_SIZE_DEFAULT (LP: #1065281).

 -- James M Leddy <james.leddy@canonical.com>  Fri, 08 Nov 2013 17:57:33 +0000

## partman-base 163ubuntu1

=== debian/changelog ===
partman-base (163ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Jan 2013 10:11:56 +0000

partman-base (163) unstable; urgency=low

  * Revert "add debhelper token to postinst"

 -- Christian Perrier <bubulle@debian.org>  Fri, 21 Dec 2012 14:49:25 +0100

partman-base (162ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Dec 2012 13:36:56 +0000

partman-base (162) unstable; urgency=low

  [ Updated translations ]
  * Hungarian (hu.po) by Dr. Nagy Elemér Károly

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 Dec 2012 07:14:39 +0100

partman-base (161ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 29 Oct 2012 12:53:03 +0000

partman-base (161) unstable; urgency=low

  [ Updated translations ]
  * Malayalam (ml.po) by Hrishikesh K B

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Oct 2012 18:43:13 +0200

partman-base (160) unstable; urgency=low

  * Add debhelper token in debian/postinst

  [ Updated translations ]
  * Asturian (ast.po) by ivarela

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Oct 2012 08:34:28 +0200

partman-base (159) unstable; urgency=low

  [ Updated translations ]
  * Lithuanian (lt.po) by Rimas Kudelis

 -- Christian Perrier <bubulle@debian.org>  Sun, 23 Sep 2012 08:24:34 +0200

partman-base (158ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it
      uses more or less the whole disk, then silently exclude that disk; if
      the installation medium is mounted but doesn't use the whole disk,
      issue a warning that partitioning may be difficult; if anything else
      is mounted, offer to unmount it. partman/filter_mounted=false disables
      this.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Jul 2012 14:42:31 +0100

partman-base (158) unstable; urgency=low

  * Permit non-cylinder alignment again on GPT (closes: #674894,
    LP: #1006894).

 -- Colin Watson <cjwatson@debian.org>  Mon, 02 Jul 2012 14:00:36 +0100

partman-base (157) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Jun 2012 08:08:42 +0200

partman-base (156ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubiquity integration: If PARTMAN_NO_COMMIT is set, then exit rather
      than running commit.d and finish.d scripts; add a partman-commit
      script; dump extra information to /var/lib/partman/snoop if
      PARTMAN_SNOOP is set; check for per-menu 'no_show_choices' file in
      ask_user and don't reshow the menu if it exists.
    - Don't skip over dmraid devices if the user chooses not to activate
      them.
    - If the only thing mounted on a disk is the installation medium and it


## partman-base 163ubuntu2

=== debian/changelog ===
partman-base (163ubuntu2) raring; urgency=low

  * Use the device's logical sector size throughout rather than
    PED_SECTOR_SIZE_DEFAULT (LP: #1065281).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Mar 2013 18:31:11 +0000

## partman-base 165

=== debian/changelog ===
partman-base (165) unstable; urgency=low

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar
    This is an important fix as it fixes an encoding problem in one
    string.

 -- Christian Perrier <bubulle@debian.org>  Sat, 30 Mar 2013 17:13:49 +0100

partman-base (164) unstable; urgency=low

  * Skip load_extra on GNU/kFreeBSD and GNU/Hurd to avoid loading extra
    components which cannot work due to missing dependencies (notably
    partman-*lvm is missing lvm2-udeb on non-Linux architectures); this
    should avoid running out of space on the (non-resizable) rootfs on
    GNU/kFreeBSD (Closes: #699704). Thanks, Steven Chamberlain!

 -- Cyril Brulebois <kibi@debian.org>  Tue, 05 Mar 2013 22:05:41 +0100

=== debian/control ===
Source: partman-base
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>, Max Vozeler <xam@debian.org>
Build-Depends: debhelper (>= 7.3.10), dh-di (>= 2), po-debconf (>= 0.5.0), libparted0-dev (>= 2.2)
Vcs-Browser: http://git.debian.org/?p=d-i/partman-base.git
Vcs-Git: git://git.debian.org/d-i/partman-base.git

Package: partman-base
Package-Type: udeb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, partman-utils, partman-partitioning (>=54), partman-target, archdetect, harddrive-detection, di-utils-mapdevfs, di-utils (>= 1.66), cdebconf-udeb (>= 0.133)
Provides: ${provides}
XB-Installer-Menu-Item: ${menuitemnum}
Description: Partition the storage devices (partman)

Package: partman-utils
Package-Type: udeb
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities related to partitioning
